<div class="page-header">
    <h1 class="text-center text-left-sm">Отчет за {{model.formattedDate}}&nbsp;&nbsp; <span class="label label-{{model.status_class}}">{{model.status_title}}</span></h1> {{#link-to 'reports' class="next"}}К архиву отчетов → {{/link-to}}
</div>
<table class="table table-border table-border-action">
    <thead>
        <tr>
            <th>Сумма</th>
            <th>Статья <i data-toggle="modal" data-target="#cat" class="fa pointer text-light-gray fa-plus"></i></th>
            <th>Комментарий</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        {{#unless model.is_sending}} 
            <tr class="addNew">
                <td>
                    {{currency-input value=sum type="text" placeholder="00,00" class="form-control" insert-newline='addList'}} 

                    {{#if err.sum}}{{form-to-validate error=err.sum}}{{/if}}
                </td>
                <td>
                    {{#x-select class="form-control" value=unit default=''}}
                        <option value=''>Выберите статью</option>
                        {{#each units as |unit|}}
                          {{#x-option value=unit}}{{unit.name}}{{/x-option}}
                        {{/each}}
                    {{/x-select}}

                    {{#if err.unit}}{{form-to-validate error=err.unit}}{{/if}}
                </td>
                <td>
                    {{input value=comment type="text" placeholder="Введите комментарий" class="form-control" insert-newline='addList'}}

                    {{#if err.comment}}{{form-to-validate error=err.comment}}{{/if}}
                </td>
                <td class="text-center">
                    <i {{action 'addList'}} class="fa text-success add fa-plus-circle"></i>
                </td>
            </tr>
        {{/unless}}
        {{#each model.expenses as |list|}}
            <tr>
                <td>{{list.sum}} руб</td>
                <td>{{list.category.name}} </td>
                <td>{{list.comment}}</td>
                <td class="text-center">
                    <i {{action 'delete' list}} class="fa muted fa-trash-o delete"></i>
                </td>
            </tr>
        {{/each}} 


    </tbody>
</table>
<div class="row">
    <div class="col-sm-12">
        <div class="panel">
            <div class="panel-body">
                <br/>
                <div class="row">
                    <div class="col-sm-4">
                        <label>Выручка (наличные)</label>
                        {{currency-input value=model.cash_revenues type="text" class="form-control form-group-margin" disabled=model.is_sending}}
                    </div>
                    <div class="col-sm-4">
                        <label>Выручка (эквайринг)</label>
                        {{currency-input value=model.cash_acquiring type="text" class="form-control form-group-margin" disabled=model.is_sending}}
                    </div>
                    <div class="col-sm-4">
                        <label>Количество чеков</label>
                        {{number-input value=model.count_receipts type="text" placeholder="0" class="form-control form-group-margin" disabled=model.is_sending}}
                    </div>
                </div>
            </div>
            <div class="panel-footer text-right">
                {{#if model.is_sending}} Отчет отправлен {{else}}
                <button {{action 'save'}} class="btn btn-lg btn-labeled"><span class="btn-label icon fa fa-floppy-o"></span>Сохранить</button>&nbsp;&nbsp;
                <button {{action 'send'}} class="btn btn-lg btn-labeled btn-success"><span class="btn-label icon fa fa-share-square-o"></span>Отправить</button>
                {{/if}}
            </div>

        </div>
    </div>
</div>

<div id="cat" class="modal fade" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog modal-sm">
        <div class="modal-content">
            <div class="page-header">
                <h1 class="text-center text-left-sm">Добавить статью</h1>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                {{input value=newCat placeholder='Название статьи' insert-newline='addCat' class="form-control form-group-margin"}}
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Закрыть</button>
            <button type="button" class="btn btn-primary" {{action 'addCat'}}>Добавить</button>
          </div>
        </div>
    </div>
</div>